<?php

namespace App\Modules\GroupProviderReview\Application;

use App\Modules\GroupProviderReview\Domain\GroupProviderReviewRepository;
use App\Modules\GroupProviderReview\Domain\UpdateGroupProviderReview;

class GroupProviderReviewUpdater
{

    private GroupProviderReviewRepository $repository;

    public function __construct(GroupProviderReviewRepository $repository)
    {
        $this->repository = $repository;
    }

    public function __invoke(UpdateGroupProviderReview $htlCamp)
    {
        return $this->repository->update($htlCamp);
    }
}
